Package org.eclipse.graphiti.ui.internal.editor

## Class GFOnEmfCommand

- java.lang.Object
- - org.eclipse.graphiti.ui.internal.editor.GFOnEmfCommand

All Implemented Interfaces:
  `IFeatureProviderHolder`, `IDescription`, `ICommand`

    public class GFOnEmfCommand
    extends java.lang.Object
    implements ICommand

### Constructor Summary

Constructors
`GFOnEmfCommand​(org.eclipse.emf.common.command.Command emfCom, IFeatureProvider fp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `canExecute()` Can execute.
`boolean` `canUndo()` Can undo.
`boolean` `execute()` Execute.
`java.lang.String` `getDescription()` Gets the description.
`IFeatureProvider` `getFeatureProvider()` Gets the feature provider.
`boolean` `undo()` Undo.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFOnEmfCommand

    public GFOnEmfCommand​(org.eclipse.emf.common.command.Command emfCom,
                          IFeatureProvider fp)

### Method Detail

#### canExecute

    public boolean canExecute()

Description copied from interface: `ICommand`
Can execute.

Specified by:
  `canExecute` in interface `ICommand`
Returns:
  true, if successful

#### canUndo

    public boolean canUndo()

Description copied from interface: `ICommand`
Can undo.

Specified by:
  `canUndo` in interface `ICommand`
Returns:
  true, if successful

#### execute

    public boolean execute()

Description copied from interface: `ICommand`
Execute.

Specified by:
  `execute` in interface `ICommand`
Returns:
  true, if successful

#### undo

    public boolean undo()

Description copied from interface: `ICommand`
Undo.

Specified by:
  `undo` in interface `ICommand`
Returns:
  true, if successful

#### getDescription

    public java.lang.String getDescription()

Description copied from interface: `IDescription`
Gets the description.

Specified by:
  `getDescription` in interface `IDescription`
Returns:
  the description

#### getFeatureProvider

    public IFeatureProvider getFeatureProvider()

Description copied from interface: `IFeatureProviderHolder`
Gets the feature provider.

Specified by:
  `getFeatureProvider` in interface `IFeatureProviderHolder`
Returns:
  the feature provider